﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Infragistics.Controls.Grids;

namespace GridTestProject.FilterOperands
{
    public class GreaterThan400 : FilterOperand
    {
        protected override string DefaultDisplayName
        {
            get
            {
                return "Greater Than 400";
            }
        }
        public override bool RequiresFilteringInput
        {
            get
            {
                return false;
            }
        }
        public override System.Linq.Expressions.Expression FilteringExpression(object value)
        {
            System.Linq.Expressions.Expression<Func<Person, bool>> expr = person => person != null && person.BankAccount > 400;

            return expr;
        }
    }
}
